Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class RequestContextWrapper

    java.lang.Object
      org.jboss.portal.wsrp.consumer.RequestContextWrapper

All Implemented Interfaces:
  org.apache.commons.fileupload.RequestContext

    public class RequestContextWrapper

extends java.lang.Object
implements org.apache.commons.fileupload.RequestContext

Since:
  2.6
Version:
  $Revision: 10198 $
Author:
  Chris Laprun

Constructor Summary
`RequestContextWrapper(org.jboss.portal.portlet.spi.RequestContext requestContext)`

Method Summary
`java.lang.String` | `getCharacterEncoding()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContextWrapper

    public RequestContextWrapper(org.jboss.portal.portlet.spi.RequestContext requestContext)

Method Detail

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `org.apache.commons.fileupload.RequestContext`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `org.apache.commons.fileupload.RequestContext`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `org.apache.commons.fileupload.RequestContext`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `org.apache.commons.fileupload.RequestContext`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD